searchData={"items":[{"type":"module","title":"Islands.Tally","doc":"Creates a tally struct for the _Game of Islands_.\nAlso displays the summary of a _Game of Islands_.\n\nThe tally struct contains the fields `game_state`, `player1_state`,\n`player2_state`, `request`, `response`, `board`, `board_score`, `guesses` and\n`guesses_score` representing the properties of a tally in the _Game of\nIslands_.\n\n##### Inspired by the book [Functional Web Development](https://pragprog.com/titles/lhelph/functional-web-development-with-elixir-otp-and-phoenix/) by Lance Halvorsen.\n\n##### Also inspired by the course [Elixir for Programmers](https://codestool.coding-gnome.com/courses/elixir-for-programmers) by Dave Thomas.","ref":"Islands.Tally.html"},{"type":"function","title":"Islands.Tally.new/2","doc":"Creates a tally struct for the specified player.","ref":"Islands.Tally.html#new/2"},{"type":"function","title":"Islands.Tally.summary/3","doc":"Displays the summary of a game for the specified player.","ref":"Islands.Tally.html#summary/3"},{"type":"type","title":"Islands.Tally.t/0","doc":"A tally struct for the Game of Islands","ref":"Islands.Tally.html#t:t/0"},{"type":"module","title":"Islands.Tally.App","doc":"","ref":"Islands.Tally.App.html"},{"type":"function","title":"Islands.Tally.App.start/2","doc":"Callback implementation for  Application.start/2 .","ref":"Islands.Tally.App.html#start/2"},{"type":"module","title":"Islands.Tally.Island","doc":"","ref":"Islands.Tally.Island.html"},{"type":"function","title":"Islands.Tally.Island.format/1","doc":"","ref":"Islands.Tally.Island.html#format/1"},{"type":"module","title":"Islands.Tally.Message","doc":"","ref":"Islands.Tally.Message.html"},{"type":"function","title":"Islands.Tally.Message.new/3","doc":"","ref":"Islands.Tally.Message.html#new/3"},{"type":"module","title":"Islands.Tally.Message.AllIslandsPositioned","doc":"","ref":"Islands.Tally.Message.AllIslandsPositioned.html"},{"type":"function","title":"Islands.Tally.Message.AllIslandsPositioned.message/2","doc":"","ref":"Islands.Tally.Message.AllIslandsPositioned.html#message/2"},{"type":"module","title":"Islands.Tally.Message.Error","doc":"","ref":"Islands.Tally.Message.Error.html"},{"type":"function","title":"Islands.Tally.Message.Error.message/2","doc":"","ref":"Islands.Tally.Message.Error.html#message/2"},{"type":"module","title":"Islands.Tally.Message.HitIslandForested","doc":"","ref":"Islands.Tally.Message.HitIslandForested.html"},{"type":"function","title":"Islands.Tally.Message.HitIslandForested.message/2","doc":"","ref":"Islands.Tally.Message.HitIslandForested.html#message/2"},{"type":"module","title":"Islands.Tally.Message.HitNoneForested","doc":"","ref":"Islands.Tally.Message.HitNoneForested.html"},{"type":"function","title":"Islands.Tally.Message.HitNoneForested.message/2","doc":"","ref":"Islands.Tally.Message.HitNoneForested.html#message/2"},{"type":"module","title":"Islands.Tally.Message.IslandPositioned","doc":"","ref":"Islands.Tally.Message.IslandPositioned.html"},{"type":"function","title":"Islands.Tally.Message.IslandPositioned.message/2","doc":"","ref":"Islands.Tally.Message.IslandPositioned.html#message/2"},{"type":"module","title":"Islands.Tally.Message.IslandsSet","doc":"","ref":"Islands.Tally.Message.IslandsSet.html"},{"type":"function","title":"Islands.Tally.Message.IslandsSet.message/2","doc":"","ref":"Islands.Tally.Message.IslandsSet.html#message/2"},{"type":"module","title":"Islands.Tally.Message.MissNoneForested","doc":"","ref":"Islands.Tally.Message.MissNoneForested.html"},{"type":"function","title":"Islands.Tally.Message.MissNoneForested.message/2","doc":"","ref":"Islands.Tally.Message.MissNoneForested.html#message/2"},{"type":"module","title":"Islands.Tally.Message.Other","doc":"","ref":"Islands.Tally.Message.Other.html"},{"type":"function","title":"Islands.Tally.Message.Other.message/2","doc":"","ref":"Islands.Tally.Message.Other.html#message/2"},{"type":"module","title":"Islands.Tally.Message.Player2Added","doc":"","ref":"Islands.Tally.Message.Player2Added.html"},{"type":"function","title":"Islands.Tally.Message.Player2Added.message/2","doc":"","ref":"Islands.Tally.Message.Player2Added.html#message/2"},{"type":"module","title":"Islands.Tally.Message.Stopping","doc":"","ref":"Islands.Tally.Message.Stopping.html"},{"type":"function","title":"Islands.Tally.Message.Stopping.message/2","doc":"","ref":"Islands.Tally.Message.Stopping.html#message/2"},{"type":"module","title":"Islands.Tally.Point","doc":"","ref":"Islands.Tally.Point.html"},{"type":"function","title":"Islands.Tally.Point.format/2","doc":"","ref":"Islands.Tally.Point.html#format/2"},{"type":"module","title":"Islands.Tally.Tile","doc":"Creates a tile from a cell value.","ref":"Islands.Tally.Tile.html"},{"type":"function","title":"Islands.Tally.Tile.new/1","doc":"Creates a tile (with embedded ANSI escapes) from `cell_value`.","ref":"Islands.Tally.Tile.html#new/1"},{"type":"function","title":"Examples - Islands.Tally.Tile.new/1","doc":"iex> alias Islands.Tally.Tile\n    iex> Tile.new(:atoll) # => A sandy brown tile\n    [[[[[] | \"\u001B[38;5;215m\"] | \"\u001B[48;5;215m\"], \" \"] | \"\u001B[0m\"]\n\n    iex> alias Islands.Tally.Tile\n    iex> Tile.new(:atoll_hit) # => An islamic green tile\n    [[[[[] | \"\u001B[38;5;34m\"] | \"\u001B[48;5;34m\"], \">a<\"] | \"\u001B[0m\"]","ref":"Islands.Tally.Tile.html#new/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}